Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.chat
Interface QRoom

All Known Implementing Classes:
  AbstractRoomDelegate

public interface QRoom

Method Summary
`void` | `addEventListener(RoomEventListener listener)`
`QSeat` | `addUser(org.jbrain.qlink.user.QHandle handle, ChatProfile security)`
`QSeat` | `addUserToGame(org.jbrain.qlink.user.QHandle handle, GameDelegate game)`
`QSeat` | `changeUserName(QSeat user, org.jbrain.qlink.user.QHandle handle, ChatProfile profile)`
`GameDelegate` | `createGame(int id, java.lang.String name, java.lang.String type, boolean systemPickOrder)`
`void` | `destroyGame(GameDelegate game)`
`QSeat[]` | `getExtSeatInfoList(QSeat user)`
`GameDelegate` | `getGame(QSeat user)`
`GameInfo[]` | `getGameInfoList()`
`java.lang.String` | `getInfo()`
`java.lang.String` | `getName()`
`int` | `getPopulation()`
`QSeat` | `getSeatInfo(org.jbrain.qlink.user.QHandle handle)`
`QSeat[]` | `getSeatInfoList(QSeat _user)`
`boolean` | `isFull()`
`boolean` | `isLocked()`
`boolean` | `isManagedRoom()`
`boolean` | `isPublicRoom()`
`ObservedGame` | `observeGame(org.jbrain.qlink.user.QHandle handle)`
`void` | `removeEventListener(RoomEventListener listener)`
`void` | `removeUser(QSeat user)`
`void` | `removeUserFromGame(org.jbrain.qlink.user.QHandle handle)`
`void` | `say(QSeat user, java.lang.String text)`

Method Detail

### getName

    public java.lang.String getName()

### getPopulation

    public int getPopulation()

### addUser

    public QSeat addUser(org.jbrain.qlink.user.QHandle handle,
                         ChatProfile security)

### isFull

    public boolean isFull()

### getSeatInfoList

    public QSeat[] getSeatInfoList(QSeat _user)

### removeUser

    public void removeUser(QSeat user)

### say

    public void say(QSeat user,
                    java.lang.String text)

### addEventListener

    public void addEventListener(RoomEventListener listener)

### removeEventListener

    public void removeEventListener(RoomEventListener listener)

### isPublicRoom

    public boolean isPublicRoom()

### isLocked

    public boolean isLocked()

### createGame

    public GameDelegate createGame(int id,
                                   java.lang.String name,
                                   java.lang.String type,
                                   boolean systemPickOrder)

### removeUserFromGame

    public void removeUserFromGame(org.jbrain.qlink.user.QHandle handle)

### getGame

    public GameDelegate getGame(QSeat user)

### getSeatInfo

    public QSeat getSeatInfo(org.jbrain.qlink.user.QHandle handle)

### destroyGame

    public void destroyGame(GameDelegate game)

### getGameInfoList

    public GameInfo[] getGameInfoList()

### addUserToGame

    public QSeat addUserToGame(org.jbrain.qlink.user.QHandle handle,
                               GameDelegate game)
                        throws UserNotInRoomException

    `UserNotInRoomException`

### getInfo

    public java.lang.String getInfo()

### observeGame

    public ObservedGame observeGame(org.jbrain.qlink.user.QHandle handle)

### getExtSeatInfoList

    public QSeat[] getExtSeatInfoList(QSeat user)

### changeUserName

    public QSeat changeUserName(QSeat user,
                                org.jbrain.qlink.user.QHandle handle,
                                ChatProfile profile)

### isManagedRoom

    public boolean isManagedRoom()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD